Page MenuHomePhabricator

LDAP Acess request for Margeigh Novotny
Closed, ResolvedPublic

Description

Margeigh Novotny needs to be able to access analytics tools, she just needs ldap access for which i do not think any ssh account should be needed

Event Timeline

Please add the user name used on wikitech

Change 460943 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/puppet@production] Add mnovotny to ldap_only_users

https://gerrit.wikimedia.org/r/460943

Change 460943 merged by Ayounsi:
[operations/puppet@production] Add mnovotny to ldap_only_users

https://gerrit.wikimedia.org/r/460943

ayounsi added a subscriber: ayounsi.

back to Nuria for a wikitech username. Once I have one I can add it to the wmf group.

I searched for her LDAP name by email address, just wanted to share that command because it can be really useful to find these. If you know they are WMF employees you can find their email address in Google and then use ldapsearch. It also works with wildcards:

[mwmaint1001:~] $ ldapsearch -x mail="mnovotny@*"

In this case though there are no results, so there is no user yet, at least not using the WMF standard email address.

Please ask Margeigh to self-register on wikitech wiki using her email. Then this can continue.

herron changed the task status from Open to Stalled.Oct 2 2018, 1:31 PM

I sent an email to Margeigh to follow-up.

She has replied and created her user: (Margeigh Novotny, Unix shell name skvjold)

uidNumber: 20201

Dzahn changed the task status from Stalled to Open.Oct 5 2018, 12:17 AM
Dzahn claimed this task.

Change 464740 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: update ldap user name of Margeigh Novotny

https://gerrit.wikimedia.org/r/464740

Change 464740 merged by Dzahn:
[operations/puppet@production] admins: update ldap user name of Margeigh Novotny

https://gerrit.wikimedia.org/r/464740

Mentioned in SAL (#wikimedia-operations) [2018-10-05T00:31:29Z] <mutante> LDAP: added user skvjold to group wmf (T204377)

This is done. She now has a user and it is member of the "wmf" LDAP group. Let us know if anything doesn't work as expected and we will reopen this right away.